pidgin 2.14.5

Data Fields
_PurpleCircBuffer Struct Reference

## Data Fields
gchar * | buffer
| A pointer to the starting address of our chunk of memory.
gsize | growsize
| The incremental amount to increase this buffer by when the buffer is not big enough to hold incoming data, in bytes.
gsize | buflen
| The length of this buffer, in bytes.
gsize | bufused
| The number of bytes of this buffer that contain unread data.
gchar * | inptr
| A pointer to the next byte where new incoming data is buffered to.
gchar * | outptr
| A pointer to the next byte of buffered data that should be read by the consumer.

## Detailed Description

Definition at line 33 of file circbuffer.h.

The documentation for this struct was generated from the following file:

- circbuffer.h